<template>
  <div class="knowledge-con">
    <navs :isLogin="isLogin" :rightText="rightText" @went="goBack()"></navs>
    <div class="video-banner-con">
      <img src="../assets/moviebanner.png" alt="" />
    </div>
    <tabs :tabArray="tabArray" @clickSelect="clickSelect"></tabs>
      <div class="knowledge-list-con" v-if="tabIndex==0">

        <div class="not-blank-con">
          <knowledge-list :knowArray="knowArray" @edits="edits"></knowledge-list>
        </div>

      </div>
      <div class="knowledge-list-con" v-else-if="tabIndex==1">
        <div class="blank-con" v-if="knowArray1.length===0">
          还没有笔记，赶紧去添加一个吧~~~
          <div class="collapse-btn-con" @click="addNote()">
            <button class="collapse-btn">立即添加</button>
          </div>
        </div>
        <div class="not-blank-con" v-else>
            <knowledge-list :knowArray="knowArray1" @edits="editsNote"></knowledge-list>
        </div>
      </div>
    <footers :shareArr="shareArr" @share="shareClick" :isFooter="isFooter"></footers>
  </div>
</template>

<script>
  import navs from '../components/headers.vue';
  import tabs from '../components/tabs.vue';
  import footers from '../components/footer.vue';
  import knowledgeList from '../components/knowledgeList.vue';
  import M from '../utils/api.js';
export default {
  name: 'loading',
  data () {
    return {
      heights:window.innerHeight,
      isLogin:false,
      rightText:"考研数学线性代数基础（一）",
      isFooter:false,
      tabIndex:0,
      shareArr:[{
        name:"123"
      },{
        name:"分享"
      }],
      tabArray:[{
          isOn:true,
        tNames:"章节"
      },{
        isOn:false,
        tNames:"笔记"
      }],
      knowArray:[],
      subjectId:this.$route.query.subjectId,
      knowledgeId:this.$route.query.knowledgeId,
      exercisesId:this.$route.query.exercisesId,
      knowArray1:[]
    }
  },
  created(){
      this.getKnowledgeList();
      this.getNoteList();
  },
  methods:{
    goBack(){
        window.history.go(-1);
    },

    clickSelect(i){
      var vm=this;
      this.tabArray.forEach((it,idx)=>{
        it.isOn=idx==i;
        vm.tabIndex=i;
      })
    },
    shareClick(i){
        switch (i){
          case 0:
              console.log("ok");
          break;
          case 1:
            console.log("share");
          break;
        }
    },
    getKnowledgeList(){
        let para={
          knowledgeId:this.knowledgeId
        },vm=this;
      M.classwork(function(data){
          vm.knowArray=data.classwork.map((it,idx)=>{
              return{
                mainName:it.exercisesName,
                title:it.exercisesContent,
                exercisesId:it.exercisesId,
                answerId:it.answerId,
                difficultDegree:it.difficultDegree,
                exercisesType:it.exercisesType,
                hasVideo:it.hasVideo,
                videoId:it.videoId
              }
          });
      },para)
    },
    edits(i){

        console.log(this.knowArray[i].exercisesId)
    },
    editsNote(i){
      console.log(this.knowArray1[i].noteId)
    },
    addNote(){
      this.$router.push({path:"/editNote",query:{exercisesId:this.exercisesId,subjectId:this.subjectId,knowledgeId:this.knowledgeId}})
    },
    getNoteList(){
        var vm=this,
            paras={ exercisesId:vm.exercisesId,pageNo:1};

        M.noteList(function(data){
            vm.knowArray1=data.noteInfo.map((it,idx)=>{
              return {
                title:it.content,
                name:it.createTime,
                noteId:it.noteId
              }
            })


        },paras)
    }
  },
  components:{
    navs,
    tabs,
    footers,
    knowledgeList
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    @import "../styles/base.css";
    @import "../styles/loading.css";
</style>
